Show / Hide Table of Contents

# Class TransparentBaseProxyEndPoint

##### Inheritance

Object
ProxyEndPoint
TransparentBaseProxyEndPoint
SocksProxyEndPoint
TransparentProxyEndPoint

##### Inherited Members

ProxyEndPoint.IpAddress
ProxyEndPoint.Port
ProxyEndPoint.DecryptSsl
ProxyEndPoint.GenericCertificate
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class TransparentBaseProxyEndPoint : ProxyEndPoint

### Constructors

| Improve this Doc View Source

#### TransparentBaseProxyEndPoint(IPAddress, Int32, Boolean)

##### Declaration

    protected TransparentBaseProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress |
Int32 | port |
Boolean | decryptSsl |

### Properties

| Improve this Doc View Source

#### GenericCertificateName

##### Declaration

    public abstract string GenericCertificateName { get; set; }

##### Property Value

Type | Description
--- | ---
String |